org.apache.ignite.ml.composition.boosting

## Class GDBTrainer.GDBModel

- java.lang.Object
- - org.apache.ignite.ml.composition.ModelsComposition
  - - org.apache.ignite.ml.composition.boosting.GDBTrainer.GDBModel

- All Implemented Interfaces:
    Serializable, AutoCloseable, DeployableObject, Exportable<ModelsCompositionFormat>, IgniteModel<Vector,Double>, Model<Vector,Double>
  Enclosing class:
    GDBTrainer

      public static final class GDBTrainer.GDBModel
      extends ModelsComposition

  GDB model.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDBModel(List<? extends IgniteModel<Vector,Double>> models, WeightedPredictionsAggregator predictionsAggregator, IgniteFunction<Double,Double> internalToExternalLblMapping)` Creates an instance of GDBModel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `predict(Vector features)` Applies containing models to features and aggregate them to one prediction.

    - ### Methods inherited from class org.apache.ignite.ml.composition.ModelsComposition

      `getDependencies, getModels, getPredictionsAggregator, saveModel, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, close, combine`

- - ### Constructor Detail

    - #### GDBModel

          public GDBModel(List<? extends IgniteModel<Vector,Double>> models,
                          WeightedPredictionsAggregator predictionsAggregator,
                          IgniteFunction<Double,Double> internalToExternalLblMapping)

      Creates an instance of GDBModel.
      Parameters:
        `models` - Models.
        `predictionsAggregator` - Predictions aggregator.
        `internalToExternalLblMapping` - Internal to external lbl mapping.

  - ### Method Detail

    - #### predict

          public Double predict(Vector features)

      Applies containing models to features and aggregate them to one prediction.
      Specified by:
        `predict` in interface `Model<Vector,Double>`
      Overrides:
        `predict` in class `ModelsComposition`
      Parameters:
        `features` - Features vector.
      Returns:
        Estimation.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020